//
//  FlutterBaichuanPlugin+handler.h
//  flutter_baichuan
//
//  Created by xgz on 2020/11/23.
//

#import "BaichuanPlugin.h"

NS_ASSUME_NONNULL_BEGIN

@interface BaichuanPlugin (handler)
-(void)debug:(FlutterResult)result;
- (void)asyncInit:(FlutterMethodCall*)call result:(FlutterResult)result;
// 设置三方媒体应用版本号
- (void)setIsvVersion:(FlutterMethodCall*)call result:(FlutterResult)result;
// 打开登录
- (void)showLogin:(FlutterMethodCall*)call result:(FlutterResult)result;
// 登出
- (void)logout:(FlutterMethodCall*)call result:(FlutterResult)result;
// 是否登录
- (void)isLogin:(FlutterMethodCall*)call result:(FlutterResult)result;
// 获取淘宝用户信息
- (void)getUserInfo:(FlutterMethodCall*)call result:(FlutterResult)result;
// 打开电商套件页面
- (void)openByCode:(FlutterMethodCall*)call result:(FlutterResult)result;
// 打开普通电商页面
- (void)openByUrl:(FlutterMethodCall*)call result:(FlutterResult)result;
// 注册 媒体外跳页面路由协议
- (void)registerNavigateUrl:(FlutterMethodCall*)call result:(FlutterResult)result;
// 注册相关图片库协议
- (void)registerImage:(FlutterMethodCall*)call result:(FlutterResult)result;
@end

NS_ASSUME_NONNULL_END
